	var dist = 30;
	
	var points = new Array(5);
	points[0] = new Array(6);
	points[1] = new Array(6);
	points[2] = new Array(6);
	points[3] = new Array(6);
	points[4] = new Array(6);
	points[5] = new Array(6);
	
	function Kiviat(ctx) {
	    this.ctx = ctx;
	}

	Kiviat.prototype.draw = function (xdiff, ydiff, size, kiviatRing) {
		//capture each of the points in an array to make it easier to draw the requirements kiviat.
	    var width  = size.width;
	    var height = size.height;
	    var cx = width - xdiff; 
	    var cy = height - ydiff;
	    var   ctx = this.ctx;
	
	    ctx.moveTo(cx, cy - height/2);
	    ctx.lineTo(cx + width/2, cy - height/4);
	    ctx.lineTo(cx + width/2, cy + height/4);
	    ctx.lineTo(cx, cy + height/2);
	    ctx.lineTo(cx - width/2, cy + height/4);
	    ctx.lineTo(cx - width/2, cy - height/4);
	    ctx.lineTo(cx, cy - height/2); 
		points[kiviatRing][0] = {
			x : cx,
			y: cy - height/2
		};
		points[kiviatRing][1] = {
			x : cx + width/2,
			y: cy - height/4
		};
		points[kiviatRing][2] = {
			x : cx + width/2,
			y: cy + height/4
		};
		points[kiviatRing][3] = {
			x : cx,
			y: cy + height/2
		};
		points[kiviatRing][4] = {
			x : cx - width/2,
			y: cy + height/4
		};
		points[kiviatRing][5] = {
			x : cx - width/2,
			y: cy - height/4
		};
		
	};

	
	Kiviat.prototype.drawLines = function() {
		var ctx = this.ctx;
		ctx.moveTo(points[4][0].x,points[4][0].y);
		ctx.lineTo(points[4][3].x,points[4][3].y);
				
		ctx.moveTo(points[4][5].x,points[4][5].y);
		ctx.lineTo(points[4][2].x, points[4][2].y);
		
		ctx.moveTo(points[4][1].x,points[4][1].y);
		ctx.lineTo(points[4][4].x,points[4][4].y);
	}
	
	Kiviat.prototype.addLabel = function(label,x,y,width) {
		var ctx = this.ctx;
		ctx.fillStyle='#ff0000';
		ctx.fillText(label,x,y,width);
		ctx.fillStyle='#000000';
	}